Bug 108758 - uninitialized sigev_value in tst-timer.c
uninitialized sigev_value in tst-timer.c
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 23:22 EST by John Reiser
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-04 10:52:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for nptl/sysdeps/pthread/tst-timer.c (382 bytes, patch)
2003-10-31 23:25 EST, John Reiser
no flags Details | Diff

  None (edit)
Description John Reiser 2003-10-31 23:22:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031027

Description of problem:
In nptl/sysdeps/pthread/tst-timer.c there is no value set for
sigev2.sigev_value, yet that member is used by
nptl/sysdeps/pthread/timer_routines.c line 353:
       timer->event.sigev_notify_function (timer->event.sigev_value);
when executing testcase rt/tst-timer .

Version-Release number of selected component (if applicable):
glibc-2.3.2-27.9.3.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1. Run testcase build-i686-linuxnptl/rt/tst-timer .
2.
3.
    

Actual Results:  sigev2.sigev_value is used but was never initialized.

Expected Results:  All members are initialized before they are used.

Additional info:

The same problem occurs in linuxthreads/sysdeps/pthread/tst-timer.c
Comment 1 John Reiser 2003-10-31 23:25:10 EST
Created attachment 95642 [details]
patch for nptl/sysdeps/pthread/tst-timer.c
Comment 2 Jakub Jelinek 2003-11-04 10:52:12 EST
This is fixed in CVS.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.